﻿Imports System.Windows.Forms

Public Class AD8307Cal


    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
        AD8307Div(PortNud.Value) = AD8307ScaleNUD.Value
        AD8307Off(PortNud.Value) = AD8307ConstNUD.Value
        A2DAvg = AvgNUD.Value
        TestGroup.Enabled = True
        RunB.Text = "Run"
        CurMode = 0
        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click
        TestGroup.Enabled = True
        RunB.Text = "Run"
        CurMode = 0
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Dim TdB1 As Double = In1dBNUD.Value
        Dim TdB2 As Double = In2dBNUD.Value
        Dim TCnt1 As Double = In1CntNUD.Value
        Dim TCnt2 As Double = In2CntNUD.Value
        Dim Tdiv As Double
        Dim Tconst As Double
        Tdiv = Math.Abs((TCnt2 - TCnt1) / (TdB2 - TdB1))
        Tconst = TdB1 - TCnt1 / Tdiv
        AD8307ScaleNUD.Value = Tdiv / AvgNUD.Value
        AD8307ConstNUD.Value = Tconst
    End Sub

    Private Sub AD8307Cal_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
      
        AD8307ScaleNUD.Value = AD8307Div(PortNud.Value)
        AD8307ConstNUD.Value = AD8307Off(PortNud.Value)
        AvgNUD.Value = A2DAvg
    
       
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim TempS As String = ""
        Dim SendCmd As String

        Select Case PortNud.Value
            Case 0
                SendCmd = "A00," & BInt2Hex(AvgNUD.Value) ' Ask for a average voltage (really the sum of Ravg readings)
            Case 1
                SendCmd = "A01," & BInt2Hex(AvgNUD.Value) ' Ask for a average voltage (really the sum of Ravg readings)
            Case 2
                SendCmd = "A02," & BInt2Hex(AvgNUD.Value) ' Ask for a average voltage (really the sum of Ravg readings)
            Case Else
                SendCmd = "A00," & BInt2Hex(AvgNUD.Value) ' Ask for a average voltage (really the sum of Ravg readings)
        End Select

        TempS = sweeper.SendReceive(SendCmd)

        In1CntNUD.Value = String2Volt(TempS) ' convert the received string with 4 digit hex sum to a integer
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Dim TempS As String = ""

        Dim SendCmd As String
        Select Case PortNud.Value
            Case 0
                SendCmd = "A00," & BInt2Hex(AvgNUD.Value) ' Ask for a average voltage (really the sum of Ravg readings)
            Case 1
                SendCmd = "A01," & BInt2Hex(AvgNUD.Value) ' Ask for a average voltage (really the sum of Ravg readings)
            Case 2
                SendCmd = "A02," & BInt2Hex(AvgNUD.Value) ' Ask for a average voltage (really the sum of Ravg readings)
            Case Else
                SendCmd = "A00," & BInt2Hex(AvgNUD.Value) ' Ask for a average voltage (really the sum of Ravg readings)
        End Select
        TempS = sweeper.SendReceive(SendCmd)
        In2CntNUD.Value = String2Volt(TempS) ' convert the received string with 4 digit hex sum to a integer


    End Sub

  

   
    Private Sub RunB_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RunB.Click
        If RunB.Text = "Run" Then
            TestGroup.Enabled = False
            RunB.Text = "Halt"
            CurMode = 3
        Else
            TestGroup.Enabled = True
            RunB.Text = "Run"
            CurMode = 0
        End If
    End Sub

    Private Sub GroupBox4_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GroupBox4.Enter
        InEdit = True
        RunB.Text = "Run"
        CurMode = 0
    End Sub
    Private Sub GroupBox4_Leave(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GroupBox4.Leave
        InEdit = False
    End Sub

    Private Sub TestGroup_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TestGroup.Enter
        InEdit = True
        RunB.Text = "Run"
        CurMode = 0
    End Sub
    Private Sub TestGroup_Leave(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TestGroup.Leave
        InEdit = False
    End Sub

    Private Sub AD8307ConstNUD_Enter(ByVal sender As Object, ByVal e As System.EventArgs) Handles AD8307ConstNUD.Enter
        InEdit = True
        RunB.Text = "Run"
        CurMode = 0
    End Sub
    Private Sub AD8307ConstNUD_Leave(ByVal sender As Object, ByVal e As System.EventArgs) Handles AD8307ConstNUD.Leave
        InEdit = False
    End Sub

    Private Sub AD8307ScaleNUD_Enter(ByVal sender As Object, ByVal e As System.EventArgs) Handles AD8307ScaleNUD.Enter
        InEdit = True
        RunB.Text = "Run"
        CurMode = 0
    End Sub

    Private Sub AD8307ScaleNUD_Leave(ByVal sender As Object, ByVal e As System.EventArgs) Handles AD8307ScaleNUD.Leave
        InEdit = False
    End Sub

    Private Sub PortNud_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PortNud.ValueChanged
        AD8307ScaleNUD.Value = AD8307Div(PortNud.Value)
        AD8307ConstNUD.Value = AD8307Off(PortNud.Value)
    End Sub
End Class
