﻿Imports System.Windows.Forms

Public Class AD9850Cal
    Dim ready As Boolean = False
    Private Sub AD9850Cal_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        If AD9851Flg Then
            FClkNUD.Value = AD9851RefClk
        Else
            FClkNUD.Value = AD9850RefClk
        End If
        Dim tempD As Double
        Dim Deltaphase As UInt64
        Deltaphase = (FReqNUD.Value * Math.Pow(2, 32)) / FClkNUD.Value
        ResultsL.Text = "Command = " & Phase2String(Deltaphase)
        tempD = Deltaphase * FClkNUD.Value / Math.Pow(2, 32)
        RealFreqLab.Text = "Exact Freq.=" & tempD.ToString("#######0.000Hz")
        ready = True
    End Sub

    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
        RunB.Text = "Run"
        CurMode = 0
        If AD9851Flg Then
            AD9851RefClk = FClkNUD.Value
        Else
            AD9850RefClk = FClkNUD.Value
        End If

        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click

        RunB.Text = "Run"
        CurMode = 0
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub

   
    Private Sub RunB_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RunB.Click
        If RunB.Text = "Run" Then
            RunB.Text = "Halt"
            CurMode = 2
        Else
            RunB.Text = "Run"
            CurMode = 0
        End If
    End Sub

    Private Sub FClkNUD_Enter(ByVal sender As Object, ByVal e As System.EventArgs) Handles FClkNUD.Enter
        InEdit = True
        RunB.Text = "Run"
        CurMode = 0
    End Sub

    Private Sub FClkNUD_Leave(ByVal sender As Object, ByVal e As System.EventArgs) Handles FClkNUD.Leave
        InEdit = False
    End Sub

    Private Sub FReqNUD_Enter(ByVal sender As Object, ByVal e As System.EventArgs) Handles FReqNUD.Enter
        InEdit = True
        RunB.Text = "Run"
        CurMode = 0
    End Sub

    Private Sub FReqNUD_Leave(ByVal sender As Object, ByVal e As System.EventArgs) Handles FReqNUD.Leave
        InEdit = False
    End Sub
    Private Sub changeme()
        If ready Then
            Dim tempD As Double
            Dim Deltaphase As UInt64
            Deltaphase = ((FReqNUD.Value * Math.Pow(2, 32)) / FClkNUD.Value)
            ResultsL.Text = "Command = " & Phase2String(Deltaphase)
            tempD = Deltaphase * FClkNUD.Value / Math.Pow(2, 32)
            RealFreqLab.Text = "Exact Freq.=" & tempD.ToString("#######0.000Hz")
        End If
    End Sub

    Private Sub FClkNUD_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles FClkNUD.ValueChanged
        changeme()
    End Sub

    Private Sub FReqNUD_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles FReqNUD.ValueChanged
        changeme()
    End Sub
End Class
